#!/bin/sh

devicetree="begin-base64 644 /dev/stdout
/Td6WFoAAATm1rRGAgAhARYAAAB0L+Wj4Bl/BlBdAGgDW81S0kORL43Tarxw
0IPW0nJQV7/T+CGaEvBqvzNTdQ/o2oCjHktgqb5TEIcBYutYmCcsEbP7scMK
wJSDUi3YOetlKb5APqkrJbIwbej2wrRrO8QN+k+waHU/Ijl1g8x+LI07MKIV
gVUYaSrXgwjfqbNUNNNNihTZ0uxZjoOyVSbD1JvYVUpRYNF676vPruhBi0rR
PZZuOs+cbhAAgIH+3d7ncb/j0qL51jshtv8shkTGbLiFtK17+66ONeLYEd9N
ERd7y/R1rT/cyjultUSeS8JesI0ckmiV6nklA6xDzUacFtSsHHf0y9hvyAfK
MaKUi9U1ozQR2wre8dqOTVdECxgFSf26FwSVBcubzyB+5ayG/gcRskNhBck1
mn6I0DavnmFssQrlVLZMrHE5toCDyugC9IiJyD3rM4yuuXL0CzJsFlIGk3fO
4EUU8oWZ93sSWdlslYD2uaQXjJ3xMOImnex6pr5fl7ukyKc6IOaHwWQw9p7M
XHLwrWwKpnAGi245tgaR5XIMCz0BRgnZRMpuObw2afU+IqEvV7a2hRi5MfCd
s9qRFHVL1ZOXl46uSFcolJXzktresQy6ZTtUBr364i0bCghfB+yX1ZKNMvo3
CHNNc/hhSqzwWDgwLNZVkI6OB5teMU3CjG1ZZkhZy7Umxd6jSZMfiolnxBNt
gcX1/83QqT8yrzs00gu8lFMvBVOFK9Sd/HdaGDBDgmZ7hduT5GayAGK55tnA
rRyOZ9XEAGboqrfZSfm3JpdhfxuruQGzjhab0yfr5NdshiRADAN9VjuFzm2x
VUXnv8S4Pg3AOSnprqtJk54C3kfRlpXXdF2Ogu2LzzVOeGW6/9q6HvWpBEY8
N2ZOATnzzv+4NC49AK/e1dSJMATJ8iC5+XwLUklLtLQYCIzPyTEImPykzlZz
mURyIYhkvlR/SDex9FkSkBAOjZxxTdUdCYtkYqk/vNLdDGI5hB8kwk7DLkKy
MWPfquEcnV6OONmZ/uv4IRMmutm5MkfxXZBXUyebSd5m4c4g6mzzBz8iOCc3
41d47g2RuXOOgIt1Oe81wZf3WBdoZVlQA67ugV5al9LIqyGqgpVI9QXzCAcE
pMMmCzpdAOl3cr0uJfdehHSWEpjhNmiA8ih3oJk53JGwU76l4KzFeWbWr6/k
4dhFXGNCrPyWAribvCzRn2baQhKDiKyMqCax663ujXx9DkAIIXxCXPyfSHuf
cdTIkC1ItMg+YhRu4hxyOTnaRK9HC/0Ay/D3jJzjRTeWxYAY7pusfKdPtOq5
ZCkFCKN7FtZxYlXiOLdzqhQvmMix0qJp4ZiBl7UbocPrWBKQZRGT2SMqvxCG
BmE+QLWZ+8zrVTiAf2tTt/4gv5/e/9oz8FEvxL5o4HaGon5cePkON9OOc1Rb
vKMrJ6kdq1d5xHXhu/BjnoDL/3VcdaSTQpvLpmRFdjwjMvNNm+xWjz0QotEI
4UzeeUr4mnqcEzuOXWQ8ZzDmIHfYOMOZKuma8vVs7B/P/AelrKdb3P5W5lMn
LhBZ+xfJsISlK29YbjGERWNdcKWqQsPCUcDyLzD7Lu/oXQIxJ+K74TZaTulm
O8NRSz6shxmtwkPAvbP3uD+ff8udybdidsv9PrFgU3iKTLNJ9v74edY9Q7aM
sE+m0cDloddIYjYwS8j3aBAc/zwZfB3gLxRDFv9bD8VGENypB8J59z4PDUjS
XR4JLjN1gUZZo2Cjjt7ZJfbpr5f2cxc8lDBOAzdlJ4TDNVQmsV0o8C/0E/M/
ts9eWXKGXXwUMjkmMOjiiXXL8Q0dVXxXlxX4pLlm3FxPBYzAt+YQWVREONHS
/he8OXFKqEFVptLEyuogNR3ERvZ3Fp7li+qLcco1as7+CjFu6Ao6qF9ljMg/
hwKA9eJelHUdEACsZKQWJx+WRO+zPTAuUxMnGaaeOBkPdcS91eo33vvH2vpx
8GMoeume7Az/A6icQxmG6ero2k4iPjB2/3jOA5+eP8KYLRtcjfAiOTR3eZ9i
Vois2Z0wlvwwH9E11iIsWiKg/Nyocf+02mjtJDDVpG4tbsmWRII6zwafoier
Gz8x8eI74Qs1Fi1QKFtJ9teu+T7+Ywrzs5tQAEEQX+xVTSttUSHXirFneJoV
lrggTS5VJMJW9R9iSpGS8XWW5CrCKm6BzCcLAKakuyAgxBi3AAHsDIAzAADX
D1esscRn+wIAAAAABFla
===="

dtb_uuencoded="$(mktemp switchpwm.XXXXXX)"
dtb_xz="$(mktemp switchpwm.XXXXXX)"


mkdir /tmp/boot
mount -t vfat /dev/mmcblk0p1 /tmp/boot

if [ ! -e /tmp/boot/suniv-f1c500s-miyoo.dtb.orig ]; then
    cp /tmp/boot/suniv-f1c500s-miyoo.dtb /tmp/boot/suniv-f1c500s-miyoo.dtb.orig
fi

printf "$devicetree" >"$dtb_uuencoded"
uudecode -o "$dtb_xz" "$dtb_uuencoded"
xz -dc "$dtb_xz" >/tmp/boot/suniv-f1c500s-miyoo.dtb

rm "$dtb_uuencoded" "$dtb_xz"

umount /tmp/boot

printf 'Device tree copied successfully, reboot for changes to take effect\n'
sleep 5
